# paracity gallery 
## diy howto v0.41


## in(tro)duction
This archive contains the files and instructions to create your own rolling and roaming wifi gallery space (ab)using micromobility scooters outfitted with a wireless charging pad for your phone.
These files are collected for the OPENCOIL speedshow that explored the impact of micro-mobility services on urban space by using its decentralised infrastructure as an exhibition space, while also addressing the conditions and effects of this infrastructure.

The artistic contributions are each stored on a Wifi microcontroller, which is connected to a scooter and is thus supplied with power as soon as the scooter is rented. To view the works, you connect to the local unencrypted WiFi network sent by the Wifi chip. A web portal opens automatically, where the work can be viewed. No mobile data connection is necessary. All works have been specially optimised by the artists to be viewed on smartphones.

OPENCOIL is in no way associated with the "micro-mobility services", but only uses the existing scooter network. The conversion of the scooters into an exhibition space is completely reversible after the exhibition ends and in no way restricts the conventional use of the scooters (even during the exhibition). The scooters will not be damaged.

The exhibition will start on October 26th in the public space in front of Zentrum für Netzkunst (Haus der Statistik). For one week, until November 1st, the exhibition will be serviced and kept running daily by our team. Should a work be damaged or not be found, please send an e-mail (service@opencoil.show) or use the Telegram App (https://t.me/opencoil)

Now do it yourself!

## hardware
In this repo you will find a 3d printable .stl file that will allow you to print a mould for vacuumforming the charging pad cover.


## software
In this repo you will find an arduino sketch for the ESP8266 wireless chip. 


### prerequisites

This guide assumes you have a 4MB ESP12F microcontroller and use Arduino IDE.

* Board Manager: You will need to add the support for this board to your IDE (Arduino in this case), see: https://github.com/esp8266/Arduino
* SPIFFS: You will need to add SPIFFS file upload support to Arduino if you want to upload files to the ESP12F, see: https://github.com/esp8266/arduino-esp8266fs-plugin


### uploading Code
For ESP12F use the following settings in Arduino IDE

* Board: Generic ESP8266 Module
* Builtin Led: 2
* Upload Speed: 921600
* CPU Frequency: 80 MHz
* Crystal Frequency: 26MHz
* Flash Size: 4MB (FS:3MB OTA: ~512KB) 
* Flash Mode: DOUT
* Flash Frequency: 40MHz
* Reset Method: dtr (aka nodemcu)
* Debug port: Disabled
* Debug Level: none
* LwIP Variant: v2 Lower Memory
* VTables: Flash
* Exceptions: Legacy (new can return nullptr)
* Erase Flash: depends on if you want to change SSID, Files, or only Sketch
* Espressif FW: nonos-sdk 2.2.1+100 (190703)
* SSL Support: All SSL ciphers (most compatible)
* Port: depend if u are uploading Over The Air, or using a cable
* Programmer: AVRISP mkII


These settings give you about 2.471 KB of SPIFFS storage space for files and ~512KB sketch size


### over the air (OTA) uploading 

* Connect to the hotspot created by the ESP12F.
* Launch Arduino, choose "esp at 192.168.4.1" as the port. 
* If you don't see the port listed in Arduino (Tools > Port), restart Arduino IDE.

You can upload your sketch and files wirelessly, there is one caveat: SPIFFS file uploads don't work with password protected uploads (line 42). Workaround: flash your sketch with line 42 commented out. Upload your files to SPIFFS, then uncomment the line and Upload the code.


## electronics

### bill of materials 

* PCB: Send the gerbers from this repo to your fab of choice.
* ESP12F: Widely available.
* AM1117 3.3v Regulator: Widely available.
* QI compatible wireless charging coil delivering 5v and > [500 mA](https://docs.ai-thinker.com/_media/esp8266/docs/esp-12f_product_specification_en.pdf): For example [this](https://aliexpress.com/item/4001154059743.html), search keywords: "pcba receiver module qi". There are also products to convert older model to wireless charging for example [these](https://www.pearl.de/mtrkw-9811-qi-kompatible-receiver-pads.shtml), their extremely cheap build quality allow you to easily take out and appropriate the actual charging coil + needed electronics.